On 4.2, can't play New Super Mario Bros Wii?

Discussion in 'Wii - Hacking' started by SoulSalmon, Dec 25, 2009.

  1. SoulSalmon
    OP

    SoulSalmon Newbie

    Newcomer
    4
    0
    Dec 25, 2009
    Ok, I got my bro New Super Mario Bros. Wii for Christmas, we were running a Bannerbomb'd 4.0E Wii.
    After seeing the update message I did some research, it seemed I needed a 4.2 Wii, easy enough, searched around, found Zektors 4.2 Safe Firmware Updater and used it, the Wii System Menu is now indeed 4.2E.

    Does anyone know what other IOSs I need to update? apparently I can use WiiScrubber to find out but I have no way of obtaining an ISO of the game without using my internet connecton (very slow speed with a 10G/month limit).

    Could anyone find out (and preferably link to) which versions of what IOSs we need to get it working?
    Or if that isn't the problem what else could it be?

    Thanks for reading [​IMG]
     
  2. longtom1

    longtom1 Keep an eye on my posts cause I quick edit frequen

    Member
    2,641
    0
    Jan 12, 2009
    Honey Oils inc.
  3. SoulSalmon
    OP

    SoulSalmon Newbie

    Newcomer
    4
    0
    Dec 25, 2009
    *facepalm* I can't beleive I missed that...
    Thanks heaps Longtom ^^, VERY fast reply [​IMG]

    *a few minutes later*

    Err... small problem...
    According to DOP-IOS I already have IOS53 v5406
    And I don't have a USBGecko, nor am I purchasing one for the SOLE purpose of running one game...

    Is there anything in that article I might be missing?

    Oh, I also tried running it through Ocarina (without any codes) and got error #002

    Edit: *Facepalm* DOP-IOS just downgraded my IOS53 to v5149... How do I get v5406 back?
     
  4. longtom1

    longtom1 Keep an eye on my posts cause I quick edit frequen

    Member
    2,641
    0
    Jan 12, 2009
    Honey Oils inc.
    geckoOS is a a disk loader not a USbGecko you can get it from wiibrew or from the homebrew browser
     
  5. SoulSalmon
    OP

    SoulSalmon Newbie

    Newcomer
    4
    0
    Dec 25, 2009
    *facepalm*
    Wow I'm bad at this...
    Ok, downloading GeckoOS then... How do I regain IOS53 v4506?

    ( I know, I'm more trouble then I'm worth aren't I [​IMG])

    Edit: Running Zektors updator again seem like a good idea? I'm pretty sure thats where the IOS came from last time
     
  6. longtom1

    longtom1 Keep an eye on my posts cause I quick edit frequen

    Member
    2,641
    0
    Jan 12, 2009
    Honey Oils inc.
    you can download it with nusd(pack to wad) and install with wad manager
     
  7. SoulSalmon
    OP

    SoulSalmon Newbie

    Newcomer
    4
    0
    Dec 25, 2009
    Alrighty then, trying that now.
    I am sorry for all this trouble... but massive thanks for helping me get this to work [​IMG]

    Is there a way to get it running from the Wii System Menu? It might be a little tough to teach my bro to run it from GeckoOS... (He's severely autistic)

    Edit: Yes, reinstalled IOS53 v5406 and it works through Gecko OS ^^
    Would still be nice to be able to load it from the System MEnu... but that probably isn't possible without an anti-homebrew IOS is it?
     
  8. techboy

    techboy GBAtemp Advanced Maniac

    Member
    1,720
    21
    Mar 15, 2009
    United States
    Pennsylvania
    The NSMB disc is 4.1 and Boot2v4. The update may very well be the Boot2v4. If you had a menu lower than 3.4 when the wii was new, this is likely the case.

    Use startpatch 4.2. Turn on the Block Disc Updates patch. You'll never be asked for updates again, but when the time comes, it means installing new IOSes manually unless you turn off the patch.
     
  9. C.S.I.

    C.S.I. GBAtemp Fan

    Member
    410
    0
    Mar 8, 2010
    Down under
    Install PriiLoader, then you can get Priiloader to lauch the USB software directly, by using the load/install file feature.

    If thats what you want to do??
     
  10. OtakuGamerZ

    OtakuGamerZ GBAtemp Fan

    Member
    459
    14
    Feb 19, 2009
    United States
    Do what techboy said.
    StartPatch 4.2 and block updates, and if a game doesn't because your missing an IOS, use DOP-Mii or DOP-IOS.
     
  11. xtremeshredder

    xtremeshredder Member

    Newcomer
    12
    0
    Sep 14, 2009
    United States
    i had this exact same problem, you have to install Priiloader .30, and then get a hacks.ini file for 4.2E (i found one here http://webrewwii.blogspot.com/2009/10/42ue...-hacksini.html) and put the hacks.ini file on the root of your sd card, then install the preloader. then you turn off your wii (completely, a red light should be showing). then press the power button and immediately hold the reset button and this should take you to the priiloader menu. then just go to Systemmenu Hacks, and enable Block Disc Updates. then you are all set, Super mario bros wii should be working! i hope i helped [​IMG]
     
  12. nitrostemp

    nitrostemp GBAtemp Maniac

    Member
    1,401
    91
    Mar 15, 2009
    you people were responding to a thread that started on Dec 25 2009 and ended the same day